petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscSFDestroy

destroy star forest

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFDestroy(PetscSF *sf)

Collective

### Input Arguments

| sf | - address of star forest

### See Also

PetscSFCreate(), PetscSFReset()

### Level

intermediate

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/tutorials/ex1.c.html
src/vec/is/sf/tutorials/ex2.c.html
src/vec/is/sf/tutorials/ex1f.F90.html
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages